Subject: Re: cvs and NTFS streams do not play well together...
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sat, 10 Jan 2004 01:42:36 -0800

linda w wrote:
> 
> It seems that the standard stream notation is "::".  programs like
> Notepad can
> read and write to NTFS streams using the :: (double colon notation).  That
> would seem to indicate thay are valid pathnames that describe a "file"
> of data.
> I.e. -- ":" is valid in a pathname on an NTFS file system to indicate a
> stream.
> 
> ":" also is a valid chacter on linux.  Sounds like a built-in
> incompatibility.
> 
> Note, that if you do a dir of file::stream, it won't showup, but you can
> open it,
> so if cygwin implements the "open" call by first calling "dir" it will fail.

The "::" idiom is used to denote an alternative stream, but that doesn't
mean it's a valid character for the name of a file.  See also
<http://support.microsoft.com/default.aspx?scid=kb;EN-US;100108>:

<<
NTFS Naming Conventions

File and directory names can be up to 255 characters long, including any
extensions. Names preserve case, but are not case sensitive. NTFS makes
no distinction of filenames based on case. Names can contain any
characters except for the following:    ?  "  /  \  <  >  *  |  :
>>

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/